-- Project: GameDev-03- DisplayAnimate
-- Copyright 2012 Three Ring Ranch
-- http://MasteringCoronaSDK.com

display.setStatusBar(display.HiddenStatusBar)

centerX = display.contentWidth * .5
centerY = display.contentHeight * .5

local bg = display.newImageRect("images/bg_iPhone.png", 480, 320)
bg.x = centerX
bg.y = centerY

local pads = {}
local idx = 0
for y = 1, 4 do
	for x = 1, 6 do
		idx = idx + 1
		local pad = display.newImageRect("images/lilypad_green.png", 64, 64)
		pad:rotate( math.random ( 0, 360 ) )
		pad.x = (x * 75) - 23
		pad.y = y * 70
		local sizer = 1 + math.random(-1, 1) / 10
		pad:scale ( sizer, sizer )
		pads[idx] = pad
		pads[idx].idx = idx
	end
end

local frog = display.newImage("images/frog.png", 64, 95)
frog.x = 52
frog.y = 70

local function hopDone(obj)
	local function killPad()
		display.remove( pads[1] )
	end
	transition.to ( pads[1], {time=2000, alpha=0, xScale=.01, yScale=.01, rotation=360, onComplete=killPad} )
end

transition.to ( frog, { 
	delay = 1000, 
	time = 2000, 
	x = 427, 
	y = 280, 
	transition = easing.inOutExpo,
	rotation = 90,
	onComplete = hopDone
	} )

